#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-class-plugin
version:              2.0.0.0
visibility:           public
id:                   hls-class-plugin-2.0.0.0-BKG1HfsMDmiKDYEuUyk79d
key:                  hls-class-plugin-2.0.0.0-BKG1HfsMDmiKDYEuUyk79d
license:              Apache-2.0
maintainer:           jjc9310@gmail.com
author:               Junyoung Clare Jang
homepage:             https://github.com/haskell/haskell-language-server#readme
synopsis:
    Class/instance management plugin for Haskell Language Server

description:
    Class/instance management plugin for Haskell Language Server.
    For usage, please see README of HLS on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  5bd759d704f303182b9db4f785434056
exposed:              True
exposed-modules:      Ide.Plugin.Class
hidden-modules:
    Ide.Plugin.Class.CodeAction Ide.Plugin.Class.CodeLens
    Ide.Plugin.Class.ExactPrint Ide.Plugin.Class.Types
    Ide.Plugin.Class.Utils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-2.0.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-class-plugin
hs-libraries:         HShls-class-plugin-2.0.0.0-BKG1HfsMDmiKDYEuUyk79d
depends:
    aeson-2.1.2.1-EcnOkqJy6qkFyx4PSoTHhT base-4.16.4.0
    containers-0.6.5.1 deepseq-1.4.6.1
    extra-1.7.16-EWGdPHvQLeb5EiMAbHqdrp ghc-9.2.8 ghc-boot-th-9.2.8
    ghc-exactprint-1.5.0-CRHoxownSymGZohQt9iTx
    ghcide-2.0.0.0-3VpLNJ1hOcd6vhojPJ3y0z
    hls-graph-2.0.0.0-L27kkyboPrE6IM0C2grSIK
    hls-plugin-api-2.0.0.0-8gJDyqB5fRDBrSpxKPB9t3
    lens-5.2.3-I3ec5MPKyg91QrvRMYPpyk
    lsp-1.6.0.0-6L8sJShQLXFEvvyFemQeyc text-1.2.5.0
    transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-hls-class-plugin/html/hls-class-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-class-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

